@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background-color: #45D588;
}
.wrapper{
    width: 450px;
    background: #fff;
    border-radius: 20px;
}
.wrapper header{
    display: flex;
    align-items: center;
    padding: 25px 30px 10px;
    justify-content: space-between;
}
header .current-date{
    font-size: 1.45rem;
    font-weight: 500;
}
header .icons span{
    height: 38px;
    width: 38px;
    color: #373737;
    font-size: 1.9rem;
    font-weight: bold;
    margin: 0 1px;
    cursor: pointer;
    text-align: center;
    line-height:  38px;
    border-radius: 50%;
    background: #d7d7d7;
}
header .icons span:hover{
    background: #45D588;
}
header .icons span:last-child{
    margin-right: -10px;
}
.calendar{
    padding: 20px;
}
.calendar ul{
    display: flex;
    list-style: none;
    flex-wrap: wrap;
    text-align: center;
}
.calendar .days{
    margin-bottom: 20px;
}
.calendar .weeks li{
    font-weight: bold;
}
.calendar ul li{
    position: relative;
    width: calc(100% /7);
}
.calendar .days li{
    z-index: 1;
    cursor: pointer;
    margin-top: 30px;
}
.days li.inactive{
    color: rgb(150, 150, 150);
}
.days li.active{
    font-weight: bold;
    color: #fff;
}
.calendar .days li::before{
    position: absolute;
    content: "";
    height: 40px;
    width: 40px;
    top: 50%;
    left: 50%;
    z-index: -1;
    border-radius: 50%;
    transform: translate(-50%, -50%);
}
.days li:hover::before{
    background: #cfcfcf;
}
.days li.active::before{
    background: #45D588;
}